﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using Telerik.Pivot.Core;

namespace RadPivotGridCellStyles
{
    public class CellSelector : DataTemplateSelector
    {
        public DataTemplate GroupADataTemplate { get; set; }
        public DataTemplate GroupBDataTemplate { get; set; }

        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            var cellAggregate = item as CellAggregateValue;
            
            if (cellAggregate != null && cellAggregate.RowGroup.Name == "Copy holder" && cellAggregate.ColumnGroup.Type == GroupType.BottomLevel && cellAggregate.RowGroup.Type == GroupType.BottomLevel)
            {
                return GroupADataTemplate;
            }

            return base.SelectTemplate(item, container);
        }
    }
}
